
QGIS Application - Bug report #12774

Attribute table only show first 99 rows from SQL Server views

2015-05-19 06:28 AM - Jason Moore

Status: Closed
Assignee:
Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20873

Description

Whenever I add a non spatial SQL Server layer from a view and check the attribute table there are only 99 rows returned. I have tried this

on several views and on a local and server side DB with the same results.

History

#1 - 2015-05-19 06:36 AM - Jason Moore

I was wrong, this behavior is not found from the local SQL Server db. I get all rows from the same views.

#2 - 2015-05-21 08:54 AM - Jason Moore

Found that views return all rows if the setting Options->Data Sources->Attribute table row cache is set to anything but "All". When set to all attribute table

returns 99 or 100 rows.

#3 - 2015-05-21 11:26 PM - Giovanni Manghi

- Status changed from Open to Feedback

Jason Moore wrote:

Found that views return all rows if the setting Options->Data Sources->Attribute table row cache is set to anything but "All". When set to all attribute

table returns 99 or 100 rows.

do you mean "attribute table behavior" or "attribute table row cache"? does it happens for other datasources?

#4 - 2015-05-21 11:26 PM - Giovanni Manghi

- Category changed from Data Provider to Data Provider/MSSQL

#5 - 2015-05-22 11:55 AM - Jason Moore

Attribute table cache. And I have found any other data sources that exhibit this behavior. Tried shp and dxf.

#6 - 2015-05-22 11:57 AM - Jason Moore
Jason Moore wrote:

Attribute table cache. And I haven't found any other data sources that exhibit this behavior. Tried shp and dxf.

#7 - 2015-06-17 10:20 PM - Nathan Woodrow

Do you still see this happening.  I can't reproduce it here

#8 - 2015-06-18 04:27 AM - Jason Moore

Still happens, only on non-spatial attribute tables (looks like only those that reference views in mssql) and only if Options->Data Sources->Attribute table

row cache is set to all.

#9 - 2015-06-18 03:36 PM - Nathan Woodrow

So just to check that is: non spatial tables which are views?

#10 - 2015-12-19 02:11 PM - Giovanni Manghi

- Resolution set to not reproducable

closing for lack of feedback.

#11 - 2015-12-27 01:14 PM - Giovanni Manghi

- Status changed from Feedback to Closed
